Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class ResourceWatcher.WatchedResource

    java.lang.Object
      org.apache.cassandra.utils.ResourceWatcher.WatchedResource

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ResourceWatcher

    public static class ResourceWatcher.WatchedResource

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`ResourceWatcher.WatchedResource(java.lang.String resource, java.lang.Runnable callback)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceWatcher.WatchedResource

    public ResourceWatcher.WatchedResource(java.lang.String resource,
                                           java.lang.Runnable callback)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation